package fr.iutfbleau.projetIHM2021FI2.Controller;

import fr.iutfbleau.projetIHM2021FI2.API.*;
import fr.iutfbleau.projetIHM2021FI2.Model.*;
import fr.iutfbleau.projetIHM2021FI2.View.*;

import java.awt.event.ActionEvent;    
import java.awt.event.ActionListener;   
import javax.swing.*;
import java.util.ArrayList;

/**
 * La classe SelectButtonController permet de répertorier les actions effectués lors d'une recherche de chambre.
 *  
 * @version 1.0
 * @author Anice TAJGALT, Gianni MANZARI, Alban DUMAS
 */
public class SelectButtonController implements ActionListener {

    public SelectButtonController(JButton button) {
    }

    public void actionPerformed(ActionEvent e)
    {

        String Command = e.getActionCommand();
        Prereservation preRes = PrereservationView.getInstance().getSelectedReservation();

        if (Command == "Valider la préréservation") {
            RecupChambre availableRoom = RecupChambre.byDate(preRes.getDateDebut());

            int rep = JOptionPane.showOptionDialog(null, availableRoom.monPrint() + " est disponible", "Recherche de chambre", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null, new Object[] { "Oui", "Choisir une autre chambre" }, JOptionPane.YES_OPTION);

            if (rep == JOptionPane.YES_OPTION) {
                availableRoom.reserve(preRes.getDateDebut());
            }
            else {

                ArrayList<RecupChambre> rooms = RecupChambre.allByDate(preRes.getDateDebut());
                //          CREATION LISTE DE CHAMBRES
                ChambresView.getInstance().update(rooms);
            }
        }
        else if (Command == "Sélectionner cette chambre") {
            ChambresView.getInstance().chambreSelectionnee().reserve(preRes.getDateDebut());
        }
    }
}